'
' JustLDAP test script to move a user to a fully specified OU.
'
' Demonstrates standard text error message retrieval to assist debugging.
'
' Input parameters - UserID  (sAMAccountName) i.e. User Login name and TargetOU
' 
' Domain = DNS Domain Name or IP address (or specific Domain controller DNS name or IP)
' AuthUsername = An account on the remote domain that has enough rights to perform this action.
'                        (Domain Admin recommended.)
' AuthPassword = Password of the AuthUsername account. Note: Password is not sent over the network
'                      as plain text. JustLDAP sets the ADSI security support for secure authentication.
'
' Returns Variant - typically 0 (Integer) indicating success


Option Explicit

Dim oLdap, Result

Set oLdap = CreateObject("JustLDAPDomain.DomainAdmin")

  Result = oLdap.MoveUserToDom("salesuser", "ou=Sales,ou=Canada,dc=yourcompany,dc=com", "otherdomain.com", "admin42", "secretpw55$")


  if oLdap.ErrorOccurred() = True Then
    Result = oLdap.GetLastErrorAsMessage()
    Wscript.Echo(Result)

  Else

    Wscript.Echo(Result)

  End If

Set oLdap = Nothing


